<?php
/**
* @author: Egor Smolyakov, 2012.
* @e-mail: mr.stelhammer@gmail.com
*/
defined('ROOT') or define('ROOT', str_replace('\\', '/', realpath(dirname (__FILE__))));
require_once ROOT . '/system/init.php'; // инициализация ядра

page_head('Расценки на переходы'); // название страницы
include_once ROOT . '/system/inc/classes/Navigator.class.php'; // класс навигации
$nav = new Navigator(HOST.'/cost/?', 25);
 $querypost = DB :: run() -> query("SELECT * FROM `operators` ORDER BY `id_oper` ASC LIMIT ".$nav->start().", ".$nav->pnumber.";");
 $total = DB :: run() -> querySingle("SELECT count(*) FROM `operators`;");
 if ($total > 0) {
   echo '<div class="menu">Цена указана в <b>рублях</b> за 1000 переходов.</div>';
 echo '
 <table border="1" class="title" width="100%">
<tr>
<td><b>Код</b></td>
<td><b>Оператор</b></td>
<td><b>Цена</b></td>
</tr>
 ';
 while ($op = $querypost -> fetch()) {
 echo '<tr><td>'.$op['socr'].'</td><td>'.$op['oper'].' ('.$op['rusname'].')</td><td>'.$op['cena_rub'].'</td></tr>';
  }
  echo '</table>';
  $rub_sr = DB :: run() -> querySingle("SELECT SUM(`cena_rub`) FROM `operators`;")/$total;
  echo '<div class="menu">* Цена на другие операторы состовляет <FONT color=<"Firebrick">100</FONT> руб.<br />
* Цена на компютеры состовляет <FONT color=<"Firebrick">100</FONT> руб.<br />
  </div>';
  echo '<div class="menu">Наша база содержит <b>'.DB :: run() -> querySingle("SELECT COUNT(*) FROM `operators`;").'</b> операторов и <b>'.DB :: run() -> querySingle("SELECT COUNT(*) FROM `ips`;").'</b> диапазонов.
  </div>';
} else {
echo '<div class="menu">База пустая.</div>';
}
echo $nav->navi($total,0);
if($is_user)  echo '<div class="menu"><a href="'.HOST.'/">Личный кабинет</a></div>'; else  echo '<div class="menu"><a href="'.HOST.'/">На главную</a></div>';
page_foot(); // низ сайта
?>